Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002403TestLinkUsers and Rightspublic2009-04-20 18:132011-02-06 17:56
Reporterprzemilke 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.0 
Fixed in Version1.9 (Prague) 
Summary0002403: Role <no rights> for new Test Plans
DescriptionI wrote another piece of code...

I've over 50 users right now.

Before: When I was creating new test plan, the next step was to give rights for users for the new test plan. In practice this activity take a long time... In many cases you have to take off role (change) inherited role (to testproject) from test plan - many times to <no rights>. It happen because for one Test Plan I have to choose only few of my 50 testers. Its easier to change only few of role from <no rights> to <tester>, that change 40 times <tester> to <no rights>

In fact i've changed (add) code only in planEdit.php

Now:
1.) New Test Plan -> Create Test Plan
2.) Users -> Assign Role to Test Plan - every users's role, besides admin, for the new test plan is <no rights> (for admin <inherited>)
Additional InformationIf you are interested in my code review please right in...
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserAny browser
PHP Version5.2.2
TestCaseID
QA Team - Task Workflow Status
Attached Files? file icon planEdit.php [^] (9,405 bytes) 2009-04-21 17:07
? file icon planEdit2.php [^] (11,607 bytes) 2010-11-18 22:43

- Relationships

-  Notes
(0006493)
fman (administrator)
2009-04-21 16:17

Please attach ALWAYS contribution, to be review.
OK attach your code here and I will review
(0006496)
przemilke (reporter)
2009-04-21 17:09

Code attached
(0012655)
przemilke (reporter)
2010-11-18 22:41

My solution is still alive on version 1.9.0 after small modification. The new file is in attachments.

I think that finally this action should be cotrolled from config.inc.php level, but I wrote this code very fast... Enjoy!
(0012658)
fman (administrator)
2010-11-19 07:48

Give a look to new feature on 1.9 Test Plan can be PRIVATE
(0013201)
fman (administrator)
2011-01-06 18:47

no more user feedback

- Issue History
Date Modified Username Field Change
2009-04-20 18:13 przemilke New Issue
2009-04-20 18:13 przemilke Browser => Any browser
2009-04-20 18:13 przemilke PHP Version => 5.2.2
2009-04-21 16:17 fman Note Added: 0006493
2009-04-21 16:17 fman Status new => assigned
2009-04-21 16:17 fman Assigned To => fman
2009-04-21 16:18 fman Status assigned => feedback
2009-04-21 17:07 przemilke File Added: planEdit.php
2009-04-21 17:09 przemilke Note Added: 0006496
2009-05-14 14:35 mhavlat Status feedback => acknowledged
2009-05-14 14:35 mhavlat Category New Feature => Users and Rights
2010-11-18 22:41 przemilke Note Added: 0012655
2010-11-18 22:43 przemilke File Added: planEdit2.php
2010-11-19 07:48 fman Note Added: 0012658
2010-11-20 07:52 fman Status acknowledged => feedback
2011-01-06 18:47 fman Note Added: 0013201
2011-01-06 18:47 fman Status feedback => resolved
2011-01-06 18:47 fman Fixed in Version => 1.9 (Prague)
2011-01-06 18:47 fman Resolution open => fixed
2011-02-06 17:56 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker